libkeymap 2.4.0 Library to manage the Linux keymaps

Data Fields
lk_array Struct Reference

Basic structure for array implementation. More...

`#include <array.h>`

## Data Fields
char * | array
ssize_t | memb
ssize_t | count
ssize_t | total

## Detailed Description

Basic structure for array implementation.

The array is designed to store an arbitrary number of similar items.

## Field Documentation

## ◆ array

char* array

Data pointer.

## ◆ memb

ssize_t memb

One element size.

## ◆ count

ssize_t count

Number of elements.

## ◆ total

ssize_t total

Total number of allocated elements.

The documentation for this struct was generated from the following file:

- src/libkeymap/keymap/array.h